Name:           python-mailslurp-client
Version:        16.2.1
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Official MailSlurp Python SDK Email API

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://www.mailslurp.com/python
Source:         %{pypi_source mailslurp-client}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'mailslurp-client' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-mailslurp-client
Summary:        %{summary}

%description -n python3-mailslurp-client %_description


%prep
%autosetup -p1 -n mailslurp-client-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-mailslurp-client -f %{pyproject_files}


%changelog
%autochangelog